/*==========================================================================================================================================
  (c) Copyright OMRON Europe BV 2012
  All Right Reserved
  OMRON Development & Engineering
  -------------------------------------------------------------------------------------------------------------------------------------*//**
  @file
  
  <short description of the file in one sentence>. 

  [Optional extended description of the file. More details] 
  
  [@pre <pre-conditions and Environment restrictions>]
*//*======================================================================================================================================*/

#ifndef __ASSERT_H_                         /* Only include this file once   */
#define __ASSERT_H_                         /* If not defined, define it now */

/*=== Include files ======================================================================================================================*/
#include "types.h"

/*=== Constant definitions ===============================================================================================================*/

/*=== Macro definitions ==================================================================================================================*/

/*=== Type definitions ===================================================================================================================*/
typedef enum
{
  ASSERT_IMAGE_NOT_FOUND_ERR = 0,
  ASSERT_IMAGE_CRC_ERR,
  ASSERT_SWITCH_ID_ERR,
  ASSERT_PHY_ID_ERR,
  ASSERT_OTAGS_ERR,
  ASSERT_HW_ERR,
  ASSERT_WATCHDOG_RESET,
  ASSERT_MAX                    /* Leave it at the end */
} T_ASSERT;

/*=== Type definitions for events ========================================================================================================*/

/*=== Macro-function definitions =========================================================================================================*/

/*=== Inline-function definitions ========================================================================================================*/
  
/*=== Function declarations (Interface functions) ========================================================================================*/
void assert(T_ASSERT const error);
 
#endif
