#ifndef __STRING_H__
#define __STRING_H__

#ifndef NULL
#define NULL (void*)0U
#endif

typedef unsigned long size_t;

void*  memset ( void*       dest,   int         val,    size_t  len);
char*  bcopy(   const char* src,    char*       dest,   int     count);
void*  memcpy(  void*       dest,   const void* src,    size_t  count);
int    strncmp( const char* s1,     const char* s2,     size_t  n);
char*  strcpy ( char*       dest,   char const* src);
char*  strncpy( char*       dest,   char const* src,    size_t  n);
size_t strlen(  const char* s);
char* u2a(char *dest, unsigned value, unsigned const base, unsigned digits, size_t n);

#endif

